/*
 * Univention Policy
 *  C source of the univention policy libary
 *
 * Copyright 2003-2014 Univention GmbH
 *
 * http://www.univention.de/
 *
 * All rights reserved.
 *
 * The source code of this program is made available
 * under the terms of the GNU Affero General Public License version 3
 * (GNU AGPL V3) as published by the Free Software Foundation.
 *
 * Binary versions of this program provided by Univention to you as
 * well as other copyrighted, protected or trademarked materials like
 * Logos, graphics, fonts, specific documentations and configurations,
 * cryptographic keys etc. are subject to a license agreement between
 * you and Univention and not subject to the GNU AGPL V3.
 *
 * In the case you use this program under the terms of the GNU AGPL V3,
 * the program is provided in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License with the Debian GNU/Linux or Univention distribution in file
 * /usr/share/common-licenses/AGPL-3; if not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef __UNIVENTION_LDAP_H__
#define __UNIVENTION_LDAP_H__

#include <ldap.h>

typedef struct univention_ldap_parameters_s {
	LDAP *ld;
	int version;
	char *host;
	int port;
	char *uri;
	int start_tls;
	char *binddn;
	char *bindpw;
	char *base;
	int authmethod;
	char *sasl_mech;
	char *sasl_realm;
	char *sasl_authcid;
	char *sasl_authzid;
} univention_ldap_parameters_t;

univention_ldap_parameters_t* univention_ldap_new(void);
int univention_ldap_open(univention_ldap_parameters_t *lp);
void univention_ldap_close(univention_ldap_parameters_t *lp);
int univention_ldap_set_admin_connection( univention_ldap_parameters_t *lp );

#endif
